| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Slots | Public Member Functions | Protected Member Functions | List of all members
Digikam::TagMngrListView Class Reference
Inheritance diagram for Digikam::TagMngrListView:

## Public Slots
void | slotDeleteSelected ()
| delete selected item from Quick Access List.

## Public Member Functions
| TagMngrListView (QWidget *const parent=nullptr)
QModelIndexList | mySelectedIndexes ()

## Protected Member Functions
void | contextMenuEvent (QContextMenuEvent *event) override
| reimplemented method from QListView to handle custom context menu.
void | dropEvent (QDropEvent *e) override
QModelIndex | indexVisuallyAt (const QPoint &p)
void | startDrag (Qt::DropActions supportedActions) override
| Reimplemented methods to enable custom drag-n-drop in QListView.